
public class Complex {
	double r;
	double i;
	
	Complex(double r, double i){
		this.r = r;
		this.i = i;
	}
	Complex()
	{
		this.r = 0;
		this.i = 0;
	}
	
	double real()
	{
		return r;
	}
	double imag()
	{
		return i;
	}
	double magnitude()
	{
		return Math.sqrt(r*r + i*i);
	}
	double argument()
	{
		return Math.atan2(i, r);
	}
	Complex add(Complex nr)
	{
		Complex sum = new Complex();
		sum.i = this.i + nr.i;
		sum.r = this.r + nr.r;
		return sum;
	}

}
